> ## Documentation Index
> Fetch the complete documentation index at: https://backstage.spotify.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke an exemption

> Revoke an active exemption for a specific entity and check. The exemption remains in the database for audit purposes but is no longer active.



## OpenAPI

````yaml /plugins/soundcheck/openapi.yaml post /checks/exemptions/revoke
openapi: 3.0.0
info:
  title: soundcheck
  version: 0.1.0
  description: API for interacting with Soundcheck.
servers:
  - url: https://backstage.example.com/api/soundcheck
security: []
tags:
  - name: Campaigns
  - name: Certification
  - name: CheckResults
  - name: Checks
  - name: FactCollectors
  - name: Facts
  - name: Tracks
paths:
  /checks/exemptions/revoke:
    post:
      tags:
        - Checks
      summary: Revoke an exemption
      description: >-
        Revoke an active exemption for a specific entity and check. The
        exemption remains in the database for audit purposes but is no longer
        active.
      operationId: revokeExemption
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RevokeExemptionRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExemptionResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: No permission to revoke exemption for this entity
          content:
            text/plain:
              schema:
                type: string
        '404':
          description: No active exemption found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    RevokeExemptionRequest:
      type: object
      required:
        - checkId
        - entityRef
        - reason
      properties:
        checkId:
          type: string
        entityRef:
          type: string
        reason:
          type: string
      additionalProperties: false
    ExemptionResponse:
      type: object
      required:
        - exemption
      properties:
        exemption:
          $ref: '#/components/schemas/Exemption'
      additionalProperties: false
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            name:
              type: string
            message:
              type: string
          required:
            - name
            - message
          additionalProperties: true
        request:
          type: object
          properties:
            method:
              type: string
            url:
              type: string
          required:
            - method
            - url
          additionalProperties: false
        response:
          type: object
          properties:
            statusCode:
              type: integer
          required:
            - statusCode
          additionalProperties: false
      required:
        - error
        - response
      additionalProperties: false
    Exemption:
      type: object
      required:
        - checkId
        - entityRef
        - userRef
        - justification
        - timestamp
      properties:
        checkId:
          type: string
        entityRef:
          type: string
        userRef:
          type: string
        justification:
          type: string
        timestamp:
          type: string
        revocationUserRef:
          type: string
        revocationTimestamp:
          type: string
        revocationReason:
          type: string
      additionalProperties: false

````